Data Structures | Typedefs | Enumerations | Functions

# option.h File Reference

`#include "wizard/hash.h"`
`#include "wizard/log.h"`

Go to the source code of this file.

## Data Structures
struct | _OptionInfo
## Typedefs
typedef struct _OptionInfo | OptionInfo
## Enumerations
enum | WizardOption { WizardUndefinedOptions = -1, WizardAuthenticateOptions = 0, WizardCipherOptions, WizardCommandOptions, WizardDataTypeOptions, WizardDebugOptions, WizardEndianOptions, WizardEntropyOptions, WizardEntropyLevelOptions, WizardKeyLengthOptions, WizardHashOptions, WizardListOptions, WizardModeOptions, WizardLogEventOptions, WizardResourceOptions }
## Functions
WizardExport char ** | GetWizardOptions (const WizardOption)
WizardExport const char * | WizardOptionToMnemonic (const WizardOption, const ssize_t)
WizardExport ssize_t | ParseWizardOption (const WizardOption, const WizardBooleanType, const char *)
WizardExport WizardBooleanType | IsWizardOption (const char *)
WizardExport WizardBooleanType | ListWizardOptions (FILE *, const WizardOption, ExceptionInfo *)

## Typedef Documentation

typedef struct _OptionInfo OptionInfo

## Enumeration Type Documentation

enum WizardOption

Enumerator:

  WizardUndefinedOptions |
  WizardAuthenticateOptions |
  WizardCipherOptions |
  WizardCommandOptions |
  WizardDataTypeOptions |
  WizardDebugOptions |
  WizardEndianOptions |
  WizardEntropyOptions |
  WizardEntropyLevelOptions |
  WizardKeyLengthOptions |
  WizardHashOptions |
  WizardListOptions |
  WizardModeOptions |
  WizardLogEventOptions |
  WizardResourceOptions |

## Function Documentation

WizardExport char** GetWizardOptions | ( | const | WizardOption | ) |

References AcquireQuantumMemory(), AcquireString(), GetOptionInfo(), _OptionInfo::mnemonic, ResourceFatalError, and ThrowFatalException.

WizardExport WizardBooleanType IsWizardOption | ( | const char * |  | ) |

WizardExport WizardBooleanType ListWizardOptions | ( | FILE * | ,
|  | const | WizardOption,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport ssize_t ParseWizardOption | ( | const | WizardOption,
|  | const | WizardBooleanType,
|  | const char * |  |
| ) |  |  |

References CopyWizardString(), GetOptionInfo(), LocaleCompare(), WizardPathExtent, _OptionInfo::mnemonic, _OptionInfo::type, WizardFalse, and WizardTrue.

Referenced by LoadLogList(), LoadMimeList(), and SetLogEventMask().

WizardExport const char* WizardOptionToMnemonic | ( | const | WizardOption,
|  | const | ssize_t |
| ) |  |  |

References GetOptionInfo(), and _OptionInfo::mnemonic.

Referenced by AcquireWizardResource(), LogWizardEventList(), and RelinquishWizardResource().